> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--artifact/types/inputs/unscanned-artifact-filters.md).

# unscannedArtifactFilters

Input parameters for filtering unscanned artifacts.

### Examples

```graphql
input UnscannedArtifactFilters {
  reason: [String]
  registryType: [String]
  registryName: [String]
  imageName: [String]
  imageDigest: [String]
  imageTags: [String]
  cloudDeployments: [String]
  cluster: [String]
  namespace: [String]
  reachability: [String]
  imageSource: [String]
}
```

### Fields

| Field                       | Description                                 | Supported fields |
| --------------------------- | ------------------------------------------- | ---------------- |
| reason `[String]`           | Filter by reason for the unscanned artifact |                  |
| registryType `[String]`     | Filter by type of registry                  |                  |
| registryName `[String]`     | Filter by name of the registry              |                  |
| imageName `[String]`        | Filter by name of the image                 |                  |
| imageDigest `[String]`      | Filter by digest of the image               |                  |
| imageTags `[String]`        | Filter by tags of the image                 |                  |
| cloudDeployments `[String]` |                                             |                  |
| cluster `[String]`          | Filter by cluster name                      |                  |
| namespace `[String]`        | Filter by namespace                         |                  |
| reachability `[String]`     | Filter by reachability status               |                  |
| imageSource `[String]`      | Filter by source of the image               |                  |

### References

#### Fields with this object:

* [{} GetUnscannedArtifactsInput.filters](/api-documentation/api-reference/api--artifact/types/inputs/get-unscanned-artifacts-input.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--artifact/types/inputs/unscanned-artifact-filters.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
